Viewing docs for Pulumi BiznetGIO Provider v0.1.7
published on Wednesday, Aug 19, 2026 by shirasakaren
published on Wednesday, Aug 19, 2026 by shirasakaren
Viewing docs for Pulumi BiznetGIO Provider v0.1.7
published on Wednesday, Aug 19, 2026 by shirasakaren
published on Wednesday, Aug 19, 2026 by shirasakaren
Create BaremetalElasticStorage Resource
Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.
Constructor syntax
new BaremetalElasticStorage(name: string, args: BaremetalElasticStorageArgs, opts?: CustomResourceOptions);@overload
def BaremetalElasticStorage(resource_name: str,
args: BaremetalElasticStorageArgs,
opts: Optional[ResourceOptions] = None)
@overload
def BaremetalElasticStorage(resource_name: str,
opts: Optional[ResourceOptions] = None,
cycle: Optional[str] = None,
metal_account_id: Optional[int] = None,
product_id: Optional[int] = None,
storage_name: Optional[str] = None,
pay_with_credit_card: Optional[bool] = None,
promocode: Optional[str] = None,
size: Optional[int] = None)func NewBaremetalElasticStorage(ctx *Context, name string, args BaremetalElasticStorageArgs, opts ...ResourceOption) (*BaremetalElasticStorage, error)public BaremetalElasticStorage(string name, BaremetalElasticStorageArgs args, CustomResourceOptions? opts = null)
public BaremetalElasticStorage(String name, BaremetalElasticStorageArgs args)
public BaremetalElasticStorage(String name, BaremetalElasticStorageArgs args, CustomResourceOptions options)
type: biznetgio:BaremetalElasticStorage
properties: # The arguments to resource properties.
options: # Bag of options to control resource's behavior.
resource "biznetgio_baremetal_elastic_storage" "name" {
# resource properties
}Parameters
- name string
- The unique name of the resource.
- args BaremetalElasticStorageArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- resource_name str
- The unique name of the resource.
- args BaremetalElasticStorageArgs
- The arguments to resource properties.
- opts ResourceOptions
- Bag of options to control resource's behavior.
- ctx Context
- Context object for the current deployment.
- name string
- The unique name of the resource.
- args BaremetalElasticStorageArgs
- The arguments to resource properties.
- opts ResourceOption
- Bag of options to control resource's behavior.
- name string
- The unique name of the resource.
- args BaremetalElasticStorageArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- name String
- The unique name of the resource.
- args BaremetalElasticStorageArgs
- The arguments to resource properties.
- options CustomResourceOptions
- Bag of options to control resource's behavior.
Constructor example
The following reference example uses placeholder values for all input properties.
var baremetalElasticStorageResource = new Biznetgio.BaremetalElasticStorage("baremetalElasticStorageResource", new()
{
Cycle = "string",
MetalAccountId = 0,
ProductId = 0,
StorageName = "string",
PayWithCreditCard = false,
Promocode = "string",
Size = 0,
});
example, err := biznetgio.NewBaremetalElasticStorage(ctx, "baremetalElasticStorageResource", &biznetgio.BaremetalElasticStorageArgs{
Cycle: pulumi.String("string"),
MetalAccountId: pulumi.Int(0),
ProductId: pulumi.Int(0),
StorageName: pulumi.String("string"),
PayWithCreditCard: pulumi.Bool(false),
Promocode: pulumi.String("string"),
Size: pulumi.Int(0),
})
resource "biznetgio_baremetal_elastic_storage" "baremetalElasticStorageResource" {
lifecycle {
create_before_destroy = true
}
cycle = "string"
metal_account_id = 0
product_id = 0
storage_name = "string"
pay_with_credit_card = false
promocode = "string"
size = 0
}
var baremetalElasticStorageResource = new BaremetalElasticStorage("baremetalElasticStorageResource", BaremetalElasticStorageArgs.builder()
.cycle("string")
.metalAccountId(0)
.productId(0)
.storageName("string")
.payWithCreditCard(false)
.promocode("string")
.size(0)
.build());
baremetal_elastic_storage_resource = biznetgio.BaremetalElasticStorage("baremetalElasticStorageResource",
cycle="string",
metal_account_id=0,
product_id=0,
storage_name="string",
pay_with_credit_card=False,
promocode="string",
size=0)
const baremetalElasticStorageResource = new biznetgio.BaremetalElasticStorage("baremetalElasticStorageResource", {
cycle: "string",
metalAccountId: 0,
productId: 0,
storageName: "string",
payWithCreditCard: false,
promocode: "string",
size: 0,
});
type: biznetgio:BaremetalElasticStorage
properties:
cycle: string
metalAccountId: 0
payWithCreditCard: false
productId: 0
promocode: string
size: 0
storageName: string
BaremetalElasticStorage Resource Properties
To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.
Inputs
In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.
The BaremetalElasticStorage resource accepts the following input properties:
- Cycle string
- Billing cycle, e.g.
mfor monthly orafor annual. Create-only, changing it replaces the storage. - Metal
Account intId - Account id of the target baremetal. Can only be set at creation (no re-attach endpoint).
- Product
Id int - Product id from
GET /baremetal-neo-elastic-storages/products. Changing it triggers change-package (POST .../{account_id}). - Storage
Name string - Name of the storage. Create-only, changing it replaces the storage.
- Pay
With boolCredit Card - Pay the invoice with the registered credit card. Defaults to true. Set false to leave the invoice unpaid in the portal; the resource stays Pending until paid.
- Promocode string
- Promo code to apply at creation.
- Size int
- Storage size in GB. Defaults to 100. Changing it triggers upgrade (
PUT .../{account_id}) - grow-only, shrinking is rejected by the API.
- Cycle string
- Billing cycle, e.g.
mfor monthly orafor annual. Create-only, changing it replaces the storage. - Metal
Account intId - Account id of the target baremetal. Can only be set at creation (no re-attach endpoint).
- Product
Id int - Product id from
GET /baremetal-neo-elastic-storages/products. Changing it triggers change-package (POST .../{account_id}). - Storage
Name string - Name of the storage. Create-only, changing it replaces the storage.
- Pay
With boolCredit Card - Pay the invoice with the registered credit card. Defaults to true. Set false to leave the invoice unpaid in the portal; the resource stays Pending until paid.
- Promocode string
- Promo code to apply at creation.
- Size int
- Storage size in GB. Defaults to 100. Changing it triggers upgrade (
PUT .../{account_id}) - grow-only, shrinking is rejected by the API.
- cycle string
- Billing cycle, e.g.
mfor monthly orafor annual. Create-only, changing it replaces the storage. - metal_
account_ numberid - Account id of the target baremetal. Can only be set at creation (no re-attach endpoint).
- product_
id number - Product id from
GET /baremetal-neo-elastic-storages/products. Changing it triggers change-package (POST .../{account_id}). - storage_
name string - Name of the storage. Create-only, changing it replaces the storage.
- pay_
with_ boolcredit_ card - Pay the invoice with the registered credit card. Defaults to true. Set false to leave the invoice unpaid in the portal; the resource stays Pending until paid.
- promocode string
- Promo code to apply at creation.
- size number
- Storage size in GB. Defaults to 100. Changing it triggers upgrade (
PUT .../{account_id}) - grow-only, shrinking is rejected by the API.
- cycle String
- Billing cycle, e.g.
mfor monthly orafor annual. Create-only, changing it replaces the storage. - metal
Account IntegerId - Account id of the target baremetal. Can only be set at creation (no re-attach endpoint).
- product
Id Integer - Product id from
GET /baremetal-neo-elastic-storages/products. Changing it triggers change-package (POST .../{account_id}). - storage
Name String - Name of the storage. Create-only, changing it replaces the storage.
- pay
With BooleanCredit Card - Pay the invoice with the registered credit card. Defaults to true. Set false to leave the invoice unpaid in the portal; the resource stays Pending until paid.
- promocode String
- Promo code to apply at creation.
- size Integer
- Storage size in GB. Defaults to 100. Changing it triggers upgrade (
PUT .../{account_id}) - grow-only, shrinking is rejected by the API.
- cycle string
- Billing cycle, e.g.
mfor monthly orafor annual. Create-only, changing it replaces the storage. - metal
Account numberId - Account id of the target baremetal. Can only be set at creation (no re-attach endpoint).
- product
Id number - Product id from
GET /baremetal-neo-elastic-storages/products. Changing it triggers change-package (POST .../{account_id}). - storage
Name string - Name of the storage. Create-only, changing it replaces the storage.
- pay
With booleanCredit Card - Pay the invoice with the registered credit card. Defaults to true. Set false to leave the invoice unpaid in the portal; the resource stays Pending until paid.
- promocode string
- Promo code to apply at creation.
- size number
- Storage size in GB. Defaults to 100. Changing it triggers upgrade (
PUT .../{account_id}) - grow-only, shrinking is rejected by the API.
- cycle str
- Billing cycle, e.g.
mfor monthly orafor annual. Create-only, changing it replaces the storage. - metal_
account_ intid - Account id of the target baremetal. Can only be set at creation (no re-attach endpoint).
- product_
id int - Product id from
GET /baremetal-neo-elastic-storages/products. Changing it triggers change-package (POST .../{account_id}). - storage_
name str - Name of the storage. Create-only, changing it replaces the storage.
- pay_
with_ boolcredit_ card - Pay the invoice with the registered credit card. Defaults to true. Set false to leave the invoice unpaid in the portal; the resource stays Pending until paid.
- promocode str
- Promo code to apply at creation.
- size int
- Storage size in GB. Defaults to 100. Changing it triggers upgrade (
PUT .../{account_id}) - grow-only, shrinking is rejected by the API.
- cycle String
- Billing cycle, e.g.
mfor monthly orafor annual. Create-only, changing it replaces the storage. - metal
Account NumberId - Account id of the target baremetal. Can only be set at creation (no re-attach endpoint).
- product
Id Number - Product id from
GET /baremetal-neo-elastic-storages/products. Changing it triggers change-package (POST .../{account_id}). - storage
Name String - Name of the storage. Create-only, changing it replaces the storage.
- pay
With BooleanCredit Card - Pay the invoice with the registered credit card. Defaults to true. Set false to leave the invoice unpaid in the portal; the resource stays Pending until paid.
- promocode String
- Promo code to apply at creation.
- size Number
- Storage size in GB. Defaults to 100. Changing it triggers upgrade (
PUT .../{account_id}) - grow-only, shrinking is rejected by the API.
Outputs
All input properties are implicitly available as output properties. Additionally, the BaremetalElasticStorage resource produces the following output properties:
- Created
At string - Creation timestamp (alias of created_at/date_created).
- Id string
- The provider-assigned unique ID for this managed resource.
- Raw string
- Raw JSON of the last read response, for anything not modeled yet.
- Status string
- Current status of the storage (e.g. Active, Pending, Suspended, Terminated).
- Created
At string - Creation timestamp (alias of created_at/date_created).
- Id string
- The provider-assigned unique ID for this managed resource.
- Raw string
- Raw JSON of the last read response, for anything not modeled yet.
- Status string
- Current status of the storage (e.g. Active, Pending, Suspended, Terminated).
- created_
at string - Creation timestamp (alias of created_at/date_created).
- id string
- The provider-assigned unique ID for this managed resource.
- raw string
- Raw JSON of the last read response, for anything not modeled yet.
- status string
- Current status of the storage (e.g. Active, Pending, Suspended, Terminated).
- created
At String - Creation timestamp (alias of created_at/date_created).
- id String
- The provider-assigned unique ID for this managed resource.
- raw String
- Raw JSON of the last read response, for anything not modeled yet.
- status String
- Current status of the storage (e.g. Active, Pending, Suspended, Terminated).
- created
At string - Creation timestamp (alias of created_at/date_created).
- id string
- The provider-assigned unique ID for this managed resource.
- raw string
- Raw JSON of the last read response, for anything not modeled yet.
- status string
- Current status of the storage (e.g. Active, Pending, Suspended, Terminated).
- created_
at str - Creation timestamp (alias of created_at/date_created).
- id str
- The provider-assigned unique ID for this managed resource.
- raw str
- Raw JSON of the last read response, for anything not modeled yet.
- status str
- Current status of the storage (e.g. Active, Pending, Suspended, Terminated).
- created
At String - Creation timestamp (alias of created_at/date_created).
- id String
- The provider-assigned unique ID for this managed resource.
- raw String
- Raw JSON of the last read response, for anything not modeled yet.
- status String
- Current status of the storage (e.g. Active, Pending, Suspended, Terminated).
Package Details
- Repository
- biznetgio github.com/shirasakaren/pulumi-biznetgio
- License
- Apache-2.0
Viewing docs for Pulumi BiznetGIO Provider v0.1.7
published on Wednesday, Aug 19, 2026 by shirasakaren
published on Wednesday, Aug 19, 2026 by shirasakaren